import { d as defineEventHandler, z as parseMultipartFormData, a7 as setSetting, c as createError, a9 as saveUploadedImage } from '../../../nitro/nitro.mjs';
import { r as requireAdminSession } from '../../../_/session.mjs';
import 'luxon';
import '@sequelize/core';
import 'html-to-text';
import 'zod';
import 'crypto';
import 'node:fs';
import 'sharp';
import 'path';
import 'node:stream';
import 'jsdom';
import 'dompurify';
import 'mime-types';
import 'fs';
import 'fs/promises';
import 'linkify-html';
import '@peertube/http-signature';
import 'jsonld';
import 'lodash.intersection';
import 'email-templates';
import 'node:http';
import 'node:https';
import 'node:crypto';
import 'node:events';
import 'node:buffer';
import 'node:path';
import 'vue';
import 'vue-router';
import 'dotenv';
import 'url';
import 'bcryptjs';
import 'slugify';
import 'umzug';
import 'consola';
import '@sequelize/core/decorators-legacy';
import 'util';
import 'mitt';
import 'ical.js';
import 'node:url';
import 'fast-xml-parser';
import '../../../_/getUser.mjs';
import '../../../_/jwt.mjs';
import 'jose';

const header_image_post = defineEventHandler(async (evt) => {
  await requireAdminSession(evt);
  const body = await parseMultipartFormData(evt);
  if (!body || !body?.header_image) {
    setSetting("header_image", void 0);
    throw createError({ statusCode: 200 });
  }
  await saveUploadedImage(body?.header_image, "custom_header_image");
  return setSetting("header_image", "custom_header_image.png");
});

export { header_image_post as default };
